Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for SAP BAPI API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sapbapiadapter.sapbapi
Class SAPConnector

    java.lang.Object
      com.stc.connector.sapbapiadapter.sapbapi.SAPConnector

    public class SAPConnector

extends java.lang.Object

an interface to define the methods required by a bapi and idoc connectors for inbound and outbound transaction from and to SAP, respectively.

Author:
  $Author: gkondapa $

Constructor Summary
`SAPConnector()`

Method Summary
`void` | `connect()` get SAP Client Connection.
`void` | `disconnect()` Closes the SAP Client Connection.
`java.lang.String` | `getAppServerGroup()` Get app server group
`java.lang.String` | `getAppServerHost()` Get app server host name
`java.lang.String` | `getClient()` Get client
`com.sap.mw.jco.JCO.Client` | `getConnection()` DOCUMENT ME!
`java.lang.String` | `getConnectionMode()`
`int` | `getConnectionRetries()`
`int` | `getConnectionRetryInterval()`
`boolean` | `getEnableAbapDebug()` Get enable ABAP debugging flag
`java.lang.String` | `getGatewayHostname()` Get gateway host name
`java.lang.String` | `getGatewayService()` Get gateway service name
`java.lang.String` | `getLanguage()` Get Language
`java.lang.String` | `getMaxTIDRows()` Get max TID rows
`java.lang.String` | `getMessageServer()` Get message server name
`com.stc.connector.management.util.ObjectReference` | `getMonitor()`
`java.lang.String` | `getPassword()` CONNRETRY_MAXRETRIES Get password
`boolean` | `getRfcTrace()` Get RFC trace
`int` | `getRfcTraceLevel()` Get RFC trace level
`java.lang.String` | `getRouter()` Get router
`java.lang.String` | `getSncCertInfo()`
`java.lang.String` | `getSncLib()`
`java.lang.String` | `getSncMyName()`
`java.lang.String` | `getSncPartnerName()`
`java.lang.String` | `getSncQop()`
`boolean` | `getSuppressConnDisconnAlert()`
`java.lang.String` | `getSystemID()` Get system id
`java.lang.String` | `getSystemNumber()` Get system number
`java.lang.String` | `getTidVerificationDB()` Get TID verification DB name
`java.lang.String` | `getTransactionMode()` Get transaction mode CONNRETRY_MAXRETRIES
`boolean` | `getUseLoadBalancing()` Get use load balancing flag
`java.lang.String` | `getUser()` Get user
`void` | `initConnection()` DOCUMENT ME!
`boolean` | `isAlive()`
`boolean` | `isConnected()`
`boolean` | `isSncEnabled()`
`boolean` | `isValid()`
`void` | `reset()` Reset connection
`void` | `setAppServerGroup(java.lang.String appServerGrp)` Set app server group
`void` | `setAppServerHost(java.lang.String appServer)` Set app server host name
`void` | `setClient(java.lang.String client)` Set client
`void` | `setConnectionMode(java.lang.String connectMode)`
`void` | `setConnectionRetries(int connMaxRetries)`
`void` | `setConnectionRetryInterval(int connRetryInterval)`
`void` | `setEnableAbapDebug(java.lang.String enableDebug)` Set enable ABAP debug flag
`void` | `setGatewayHostname(java.lang.String gatewayHost)` Set gateway host name
`void` | `setGatewayService(java.lang.String gatewayService)` Set gateway service name
`void` | `setLanguage(java.lang.String lang)` Set Language
`void` | `setMaxTIDRows(java.lang.String maxTidRows)` Set max TID rows
`void` | `setMessageServer(java.lang.String messageServer)` Set message server name
`void` | `setMonitor(com.stc.connector.management.util.ObjectReference mbean)`
`void` | `setPassword(java.lang.String passwd)` Set password
`void` | `setRfcTrace(java.lang.String rfcTrace)` Set RFC trace
`void` | `setRfcTraceLevel(int traceLvl)` Set RFC trace level
`void` | `setRouter(java.lang.String router)` Set router
`void` | `setSncCertInfo(java.lang.String certInfo)`
`void` | `setSncEnabled(java.lang.String sncEnabled)`
`void` | `setSncLib(java.lang.String sncLib)`
`void` | `setSncMyName(java.lang.String sncMyName)`
`void` | `setSncPartnerName(java.lang.String sncPartnerName)`
`void` | `setSncQop(java.lang.String sncQop)`
`void` | `setSuppressConnDisconnAlert(java.lang.String suppressConnDisconnAlert)`
`void` | `setSystemID(java.lang.String sysID)` Set system id
`void` | `setSystemNumber(java.lang.String sysNum)` Set system number
`void` | `setTidVerificationDB(java.lang.String tidDB)` Set TID verification DB name
`void` | `setTransactionMode(java.lang.String transMode)` Set transaction mode
`void` | `setUseLoadBalancing(java.lang.String useLoadBal)` Set use load balancing flag
`void` | `setUser(java.lang.String user)` Set user
`protected java.lang.String` | `verifyConnectionValue(java.lang.String value, java.lang.String propKey)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAPConnector

    public SAPConnector()

Method Detail

### setClient

    public void setClient(java.lang.String client)

  Set client

  Parameters:
    `client` - - client string

### getClient

    public java.lang.String getClient()

  Get client

  Returns:
    client string

### setUser

    public void setUser(java.lang.String user)

  Set user

  Parameters:
    `user` - - user name

### getUser

    public java.lang.String getUser()

  Get user

  Returns:
    user name

### setPassword

    public void setPassword(java.lang.String passwd)

  Set password

  Parameters:
    `passwd` - - password string

### getPassword

    public java.lang.String getPassword()

  CONNRETRY_MAXRETRIES Get password

  Returns:
    password string

### setLanguage

    public void setLanguage(java.lang.String lang)

  Set Language

  Parameters:
    `lang` - - language string

### getLanguage

    public java.lang.String getLanguage()

  Get Language

  Returns:
    language string

### setAppServerHost

    public void setAppServerHost(java.lang.String appServer)

  Set app server host name

  Parameters:
    `appServer` - - app server host name

### getAppServerHost

    public java.lang.String getAppServerHost()

  Get app server host name

  Returns:
    app server host name

### setSystemNumber

    public void setSystemNumber(java.lang.String sysNum)

  Set system number

  Parameters:
    `sysNum` - - system number

### getSystemNumber

    public java.lang.String getSystemNumber()

  Get system number

  Returns:
    system number

### setSystemID

    public void setSystemID(java.lang.String sysID)

  Set system id

  Parameters:
    `sysID` - - system id

### getSystemID

    public java.lang.String getSystemID()

  Get system id

  Returns:
    system id

### setRfcTrace

    public void setRfcTrace(java.lang.String rfcTrace)

  Set RFC trace

  Parameters:
    `rfcTrace` - - RFC trace

### getRfcTrace

    public boolean getRfcTrace()

  Get RFC trace

  Returns:
    true if trace is; false if trace is off

### setRfcTraceLevel

    public void setRfcTraceLevel(int traceLvl)

  Set RFC trace level

  Parameters:
    `traceLvl` - RFC trace level

### getRfcTraceLevel

    public int getRfcTraceLevel()

  Get RFC trace level

  Returns:
    RFC trace level

### setGatewayHostname

    public void setGatewayHostname(java.lang.String gatewayHost)

  Set gateway host name

  Parameters:
    `gatewayHost` - - gateway host name

### getGatewayHostname

    public java.lang.String getGatewayHostname()

  Get gateway host name

  Returns:
    gateway host name

### setGatewayService

    public void setGatewayService(java.lang.String gatewayService)

  Set gateway service name

  Parameters:
    `gatewayService` - - gateway service name

### getGatewayService

    public java.lang.String getGatewayService()

  Get gateway service name

  Returns:
    gateway service name

### setMessageServer

    public void setMessageServer(java.lang.String messageServer)

  Set message server name

  Parameters:
    `messageServer` - - message server name

### getMessageServer

    public java.lang.String getMessageServer()

  Get message server name

  Returns:
    message server name

### setAppServerGroup

    public void setAppServerGroup(java.lang.String appServerGrp)

  Set app server group

  Parameters:
    `appServerGrp` - - app server group

### getAppServerGroup

    public java.lang.String getAppServerGroup()

  Get app server group

  Returns:
    app server group

### setRouter

    public void setRouter(java.lang.String router)

  Set router

  Parameters:
    `router` - - router name

### getRouter

    public java.lang.String getRouter()

  Get router

  Returns:
    router name

### setTransactionMode

    public void setTransactionMode(java.lang.String transMode)

  Set transaction mode

  Parameters:
    `transMode` - - transaction mode

### getTransactionMode

    public java.lang.String getTransactionMode()

  Get transaction mode CONNRETRY_MAXRETRIES

  Returns:
    transaction mode

### setConnectionMode

    public void setConnectionMode(java.lang.String connectMode)

### getConnectionMode

    public java.lang.String getConnectionMode()

### setSuppressConnDisconnAlert

    public void setSuppressConnDisconnAlert(java.lang.String suppressConnDisconnAlert)

### getSuppressConnDisconnAlert

    public boolean getSuppressConnDisconnAlert()

### setTidVerificationDB

    public void setTidVerificationDB(java.lang.String tidDB)

  Set TID verification DB name

  Parameters:
    `tidDB` - - TID verification DB name

### getTidVerificationDB

    public java.lang.String getTidVerificationDB()

  Get TID verification DB name

  Returns:
    TID verification DB name

### setMaxTIDRows

    public void setMaxTIDRows(java.lang.String maxTidRows)

  Set max TID rows

  Parameters:
    `maxTidRows` - - max TID rows

### getMaxTIDRows

    public java.lang.String getMaxTIDRows()

  Get max TID rows

  Returns:
    max TID rows

### setUseLoadBalancing

    public void setUseLoadBalancing(java.lang.String useLoadBal)

  Set use load balancing flag

  Parameters:
    `useLoadBal` - - use load balancing flag

### getUseLoadBalancing

    public boolean getUseLoadBalancing()

  Get use load balancing flag

  Returns:
    use load balancing flag

### setEnableAbapDebug

    public void setEnableAbapDebug(java.lang.String enableDebug)

  Set enable ABAP debug flag

  Parameters:
    `enableDebug` - - enable ABAP debugging flag

### getEnableAbapDebug

    public boolean getEnableAbapDebug()

  Get enable ABAP debugging flag

  Returns:
    enable ABAP debugging flag

### setConnectionRetries

    public void setConnectionRetries(int connMaxRetries)

### getConnectionRetries

    public int getConnectionRetries()

### setConnectionRetryInterval

    public void setConnectionRetryInterval(int connRetryInterval)

### getConnectionRetryInterval

    public int getConnectionRetryInterval()

### getSncLib

    public java.lang.String getSncLib()

### setSncLib

    public void setSncLib(java.lang.String sncLib)

### getSncPartnerName

    public java.lang.String getSncPartnerName()

### setSncPartnerName

    public void setSncPartnerName(java.lang.String sncPartnerName)

### getSncQop

    public java.lang.String getSncQop()

### setSncQop

    public void setSncQop(java.lang.String sncQop)

### isSncEnabled

    public boolean isSncEnabled()

### setSncEnabled

    public void setSncEnabled(java.lang.String sncEnabled)

### getSncCertInfo

    public java.lang.String getSncCertInfo()

### setSncCertInfo

    public void setSncCertInfo(java.lang.String certInfo)

### getSncMyName

    public java.lang.String getSncMyName()

### setSncMyName

    public void setSncMyName(java.lang.String sncMyName)

### connect

    public void connect()
                 throws javax.resource.ResourceException

  get SAP Client Connection.

  Throws:
    `java.lang.Exception` - exception while retrieving connection
    `javax.resource.ResourceException`

### disconnect

    public void disconnect()
                    throws javax.resource.ResourceException

  Closes the SAP Client Connection.

  Throws:
    `java.lang.Exception` - exception while closing connection
    `javax.resource.ResourceException`

### getConnection

    public com.sap.mw.jco.JCO.Client getConnection()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### initConnection

    public void initConnection()
                        throws javax.resource.ResourceException

  DOCUMENT ME!

  Throws:
    `java.lang.Exception` - DOCUMENT ME!
    `javax.resource.ResourceException`

### isConnected

    public boolean isConnected()

### isValid

    public boolean isValid()

### isAlive

    public boolean isAlive()

### verifyConnectionValue

    protected java.lang.String verifyConnectionValue(java.lang.String value,
                                                     java.lang.String propKey)
                                              throws javax.resource.ResourceException

  Throws:
    `javax.resource.ResourceException`

### reset

    public void reset()

  Reset connection

### setMonitor

    public void setMonitor(com.stc.connector.management.util.ObjectReference mbean)

### getMonitor

    public com.stc.connector.management.util.ObjectReference getMonitor()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for SAP BAPI API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD